Summary:	A hierarchical note taking application
Summary(pl.UTF-8):	Hierarchiczna aplikacja do robienia notatek
Name:		cherrytree
Version:	0.99.53
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://www.giuspen.com/software/%{name}_%{version}.tar.xz
# Source0-md5:	665a89e0a7d5f5341b1ba5c5c5278278
URL:		https://www.giuspen.com/cherrytree/
BuildRequires:	curl-devel
BuildRequires:	gspell-devel
BuildRequires:	gtkmm3-devel
BuildRequires:	gtksourceviewmm3-devel
BuildRequires:	libfmt-devel
BuildRequires:	libxml++2-devel
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	shared-mime-info
BuildRequires:	spdlog-devel >= 1:1.8.1
BuildRequires:	uchardet-devel
Requires:	gspell
Requires:	gtksourceviewmm3
Requires:	libfmt
Requires:	libxml++2
Requires:	shared-mime-info
Requires:	spdlog >= 1:1.8.1
Suggests:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A hierarchical note taking application, featuring rich text and syntax
highlighting, storing all the data (including images) in a single xml
file with extension ".ctd".

%description -l pl.UTF-8
Hierarchiczna aplikacja do notatek, wspierająca tekst sformatowany i
wyróżnianie składni, przechowująca wszystkie dane (w tym obrazy) w
jednym pliku XML z rozszerzeniem „.ctd”.

%prep
%setup -q -n %{name}_%{version}

%build
install -d build
cd build
%cmake .. \
	-DMAKE_BUILD_TYPE=Release \
	-DBUILD_TESTING=OFF

%{__make} cherrytree

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

## Remove old mime registration files
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mime-info/cherrytree.*

## Remove unsupported locale
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hi_IN,kk_KZ,kk_LA}

%find_lang %{name}

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog.txt license.txt
%attr(755,root,root) %{_bindir}/cherrytree
%{_datadir}/metainfo/net.giuspen.cherrytree.metainfo.xml
%{_desktopdir}/cherrytree.desktop
%{_datadir}/cherrytree/
%{_iconsdir}/hicolor/scalable/apps/cherrytree.svg
%{_mandir}/man1/cherrytree.1*
%changelog
* Mon Dec 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cherrytree.git;a=log;h=master

* Mon Dec 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4970999
- up to 0.99.53

* Fri Nov 25 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 15fe93e
- up to 0.99.52

* Sun Oct 23 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 42354f5
- up to 0.99.51

* Mon Oct 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b8f5901
- up to 0.99.50

* Mon Sep 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e4f7e06
- up to 0.99.49

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> c821bb7
- libfmt rebuild

* Wed Jun 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5adc314
- up to 0.99.48

* Wed Apr 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ba43250
- up to 0.99.47

* Sat Feb 19 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 728d7f4
- up to 0.99.46

* Thu Jan 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6181bcf
- relup

* Mon Jan 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f130b35
- up to 0.99.45

* Sat Jan 01 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 902d449
- up to 0.99.44

* Mon Nov 15 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 920ce90
- up to 0.99.43

* Sat Oct 16 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> de547b5
- up to 0.99.42

* Thu Sep 16 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3c65344
- up to 0.99.41

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8137b1f
- relup, rebuild with libfmt-8

* Sat Aug 07 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4ebd231
- up to 0.99.40

* Tue Jul 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6ee1e22
- up to 0.99.39

* Sat Jun 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 435144b
- up to 0.99.38

* Wed May 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 171fcfe
- up to 0.99.37

